{
  inputs ? import ../../inputs.nix {},
  rustPlatform ? null,
}:

self: super:

let
  nixos-cosmic = inputs.cosmic-modules;

  # Initialize pinned unstable nixpkgs
  futureNixpkgs = let
    extended = self.extend (import ./unstable-from-source.nix {
      unstableSource = inputs.nixpkgs-unstable;
    });
  in extended.unstable;
in

import "${nixos-cosmic}/pkgs" {
  final = self;
  prev = super;
  rustPlatform = if rustPlatform != null then rustPlatform else futureNixpkgs.rustPlatform;
}
